<?php
add_action( 'customize_register', 'cp_customizer_settings' );
function cp_customizer_settings( $wp_customize ) {

/*****Blog Customization  */
$wp_customize->add_section( 'blog' , array(
    'title' =>  'Blog'
) );

$wp_customize->add_setting( 'custom_blog_title',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'custom_blog_title',
   array(
      'label' => __( 'Custom Blog Title', 'seodrive' ),
      'description' => esc_html__( 'If you use the blog overview as your homepage, you can give the blog a title on the homepage here. Otherwise there is the default title.', 'seodrive' ),
      'section'  => 'blog',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);


/********Header***********************/
$wp_customize->add_section( 'header' , array(
    'title' =>  'Header'
) );

$wp_customize->add_setting( 'hide_header_subtitle',
   array(
      'default' => 'grid',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'hide_header_subtitle',
   array(
      'label' => __( 'Hide Header Subtitle', 'seodrive' ),
      'description' => esc_html__( 'Hide Tagline on Desktop too.', 'seodrive' ),
      'section'  => 'header',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'checkbox',
      'capability' => 'edit_theme_options', // Optional. Default: 'edit_theme_options'
      'choices' => array('hide')
   )
);
$wp_customize->add_setting( 'header_info_box_countrycode',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'header_info_box_countrycode',
   array(
      'label' => __( 'Header Info Box Country Code', 'seodrive' ),
      'description' => esc_html__( 'If you want to enter a clickable phone number into the Infobox below, enter the country code here. For Germany, for example: +49', 'seodrive' ),
      'section'  => 'header',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

$wp_customize->add_setting( 'header_info_box',
   array(
      'default' => 'MY SLOGAN',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'header_info_box',
   array(
      'label' => __( 'Header Info Box', 'seodrive' ),
      'description' => esc_html__( 'For example, enter your phone number (do not forget the country code above) or your motto.', 'seodrive' ),
      'section'  => 'header',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

$wp_customize->add_setting( 'hide_header_infobox',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'hide_header_infobox',
   array(
      'label' => __( 'Hide Header Infobox on Mobile', 'seodrive' ),
      'description' => esc_html__( 'Hide Infobox on Mobile.', 'seodrive' ),
      'section'  => 'header',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'checkbox',
      'capability' => 'edit_theme_options', // Optional. Default: 'edit_theme_options'
      'choices' => array('hide')
   )
);



$wp_customize->add_setting(
    'header_logo_desktop', array(
    'type' => 'theme_mod',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'absint'
));
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'header_logo_desktop', array(
    'section' => 'header',
   // 'settings' => 'header_logo'
    'label' => __('Header Logo Desktop, Height: 70px', 'seodrive'),
  //  'width' => 70,
    'height' => 70
)));

$wp_customize->add_setting( 'header_logo_desktop_width',
   array(
      'default' => '0',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'header_logo_desktop_width',
   array(
      'label' => __( 'Desktop Logo Width in px', 'seodrive' ),
      'description' => esc_html__( '', 'seodrive' ),
      'section'  => 'header',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);


$wp_customize->add_setting(
    'header_logo_mobile', array(
    'type' => 'theme_mod',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'absint'
));
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'header_logo_mobile', array(
    'section' => 'header',
   // 'settings' => 'header_logo'
    'label' => __('Header Logo Mobile, Height: 40px', 'seodrive'),
    'width' => 40,
    'height' => 40
)));

$wp_customize->add_setting( 'header_logo_mobile_width',
   array(
      'default' => '0',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'header_logo_mobile_width',
   array(
      'label' => __( 'Mobile Logo Width in px', 'seodrive' ),
      'description' => esc_html__( '#', 'seodrive' ),
      'section'  => 'header',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);




/******** Textcolors **************************/


$wp_customize->add_section( 'textcolors' , array(
    'title' =>  'Text & Background Colors',
    'description' => 'Hier können Sie Farbeinstellung für Überschriften, Links, Header-Background und Page-Background vornehmen.'
) );
    // Header Background Color
    $txtcolors[] = array(
        'slug'=>'header_background_color', 
        'default' => '#ffffff',
        'label' => 'Header Background Color'
    );
    // Header Title Color
    $txtcolors[] = array(
        'slug'=>'header_title_color', 
        'default' => '#dd3333',
        'label' => 'Header Title Color'
    );

    // Header Subtitle Color
    $txtcolors[] = array(
        'slug'=>'header_subtitle_color', 
        'default' => '#626262',
        'label' => 'Header Subtitle Color'
    );

    // Main Menu link Color
    $txtcolors[] = array(
        'slug'=>'main_menu_link_color_desktop', 
        'default' => '#dd3333',
        'label' => 'Main Menu Link Color Desktop'
        );
        $txtcolors[] = array(
            'slug'=>'main_menu_link_color_desktop_active', 
            'default' => '#626262',
            'label' => 'Main Menu Link Color Desktop Active'
            );
        $txtcolors[] = array(
            'slug'=>'hamburger_icon', 
            'default' => '#dd3333',
            'label' => 'Hamburger Icon Color'
            );

    // Main Menu DropDown Arrow 
        $txtcolors[] = array(
            'slug'=>'menu_dropdown_arrow', 
            'default' => '#626262',
            'label' => 'MainMenu DropDow Arrow'
            );
    // SubMenu Close Button

    $txtcolors[] = array(
        'slug'=>'submenu_close_button', 
        'default' => '#dd3333',
        'label' => 'SubMenu Close Button Color'
        );

    // Footer Background Color
    $txtcolors[] = array(
        'slug'=>'footer_background_color', 
        'default' => '#ffffff',
        'label' => 'Footer Background Color'
    );
    // Footer Menu Color
    $txtcolors[] = array(
        'slug'=>'footer_menu_link_color', 
        'default' => '#dd3333',
        'label' => 'Footer MenuLink Color'
    );

    //Scroll-Top Button
    $txtcolors[] = array(
        'slug'=>'scrolltop_button_background_color', 
        'default' => '#dd3333',
        'label' => 'ScrollTop-Button Background Color'
    );
    $txtcolors[] = array(
        'slug'=>'scrolltop_button_arrow_color', 
        'default' => '#ffffff',
        'label' => 'ScrollTop-Button Arrow Color'
    );

    //Other Buttons
    $txtcolors[] = array(
        'slug'=>'buttons_background_color', 
        'default' => '#dd3333',
        'label' => 'Buttons Background Color'
    );

    $txtcolors[] = array(
        'slug'=>'buttons_font_color', 
        'default' => '#ffffff',
        'label' => 'Buttons Font Color'
    );

    //Page Background Color
    $txtcolors[] = array(
        'slug'=>'page_background_color', 
        'default' => '#ffffff',
        'label' => 'Page Background Color'
    );

    //Page Title Color
    $txtcolors[] = array(
        'slug'=>'single_page_title', 
        'default' => '#626262',
        'label' => 'Single Page Title'
    );

    // Page Heading H1 - H6 Color
    $txtcolors[] = array(
        'slug'=>'heading_h1', 
        'default' => '#dd3333',
        'label' => 'Page Heading H1'
    );

    $txtcolors[] = array(
        'slug'=>'heading_h2', 
        'default' => '#626262',
        'label' => 'Page Heading H2'
    );

    $txtcolors[] = array(
        'slug'=>'heading_h3', 
        'default' => '#626262',
        'label' => 'Page Heading H3'
    );

    $txtcolors[] = array(
        'slug'=>'heading_h4', 
        'default' => '#626262',
        'label' => 'Page Heading H4'
    );

    $txtcolors[] = array(
        'slug'=>'heading_h5', 
        'default' => '#626262',
        'label' => 'Page Heading H5'
    );

    $txtcolors[] = array(
        'slug'=>'heading_h6', 
        'default' => '#626262',
        'label' => 'Page Heading H6'
    );

    //Text Color
    $txtcolors[] = array(
        'slug'=>'text_color', 
        'default' => '#626262',
        'label' => 'Text Color'
        );

    //Text Link Color
    $txtcolors[] = array(
        'slug'=>'text_link_color', 
        'default' => '#dd3333',
        'label' => 'Text Link Color'
        );


    
    

// add the settings and controls for each color
foreach( $txtcolors as $txtcolor ) {
 
    // SETTINGS
    $wp_customize->add_setting(
        $txtcolor['slug'], array(
            'default' => $txtcolor['default'],
            'type' => 'option', 
            'capability' =>  'edit_theme_options',
            'sanitize_callback' => 'sanitize_hex_color'

        )
    );

    // CONTROLS
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            $txtcolor['slug'], 
                array('label' => $txtcolor['label'], 
                'section' => 'textcolors',
                'settings' => $txtcolor['slug']
                )
        )
    );

/* Typographie ***************************************************/


$wp_customize->add_section( 'fonts' , array(
    'title' =>  'Typography'
) );

    //Read out the font files (.ttf) in ./fonts
    $custom_fonts = [];
   
    $dir = get_stylesheet_directory().'/fonts';
    // Test, ob es sich um ein Verzeichnis handelt
    if (is_dir($dir)){
        $dh=opendir($dir);
        while ($file = readdir ($dh)) {
          if ($file != "." && $file != "..") {
            
            if((substr($file, strlen($file)- 4)) == '.ttf') {
              $custom_fonts[substr($file, 0, strlen($file)-4 )] = substr($file, 0, strlen($file)-4 );
            }
          }
        }
        closedir($dh);
      }

      $websafe_fonts = array(
        'Arial' => 'Arial',
        'Calibri' => 'Calibri',
        'Cambria' => 'Cambria',
        'Dejavu Sans' => 'Dejavu Sans',
        'Georgia' => 'Georgia',
        'Impact' => 'Impact',
        'Sans-Serif' => 'Sans-Serif',
        'Verdana' => 'Verdana'
      );

      $fonts = array_merge($websafe_fonts, $custom_fonts);


/*
  //select sanitization function
  function theme_slug_sanitize_select( $input, $setting ){
          
    //input must be a slug: lowercase alphanumeric characters, dashes and underscores are allowed only
    $input = sanitize_key($input);

    //get the list of possible select options 
    $choices = $setting->manager->get_control( $setting->id )->choices;
                      
    //return input if valid or return default option
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );                
      
}
      
*/

     

 // SETTINGS
 /*$wp_customize->add_setting(
    'fonts_site_title', array(
        'type' => 'theme_mod',
    )
);*/
$wp_customize->add_setting( 'fonts_site_title', array( 'type' => 'theme_mod',  'sanitize_callback' => 'sanitize_text_field', 'transport' => 'refresh' ) );




$wp_customize->add_setting(
    'fonts-site-subtitle', array(
        'default' => 'Quicksand',
        'type' => 'theme_mod',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_setting(
    'fonts-main-menu', array(
       
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_setting(
    'fonts-footer-menu', array(
        
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_setting(
    'fonts-page-title', array(
      
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_setting(
    'fonts-page-heading-h1', array(
        
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_setting(
    'fonts-page-headings-h2-h6', array(
        
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_setting(
    'fonts-page-text', array(
        
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
// Font CONTROLS


   
$wp_customize->add_control(
    'fonts_site_title', array(
        'label' => __('Header Title', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts_site_title',
        'type' => 'select',
       'choices' => $fonts  
    )
);
$wp_customize->add_control(
    'fonts-site-subtitle', array(
        'label' => __('Header SubTitle', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-site-subtitle',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-main-menu', array(
        'label' => __('Main Menu', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-main-menu',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-footer-menu', array(
        'label' => __('Footer Menu', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-footer-menu',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-page-title', array(
        'label' => __('Single Page Titel', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-page-title',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-page-heading-h1', array(
        'label' => __('H1 Heading', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-page-heading-h1',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-page-headings-h2-h6', array(
        'label' => __('H2-H6 Headings', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-page-headings-h2-h6',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-page-headings-h2-h6', array(
        'label' => __('H2-H6 Headings', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-page-headings-h2-h6',
        'type' => 'select',
        'choices' => $fonts      
    )
);
$wp_customize->add_control(
    'fonts-page-text', array(
        'label' => __('Text', 'seodrive'),
        'section' => 'fonts',
        'settings' => 'fonts-page-text',
        'type' => 'select',
        'choices' => $fonts      
    )
);

/********Google Site Verification*********/ 
$wp_customize->add_section( 'google_site_verification' , array(
    'title' =>  'Google Site Verification'
) );

$wp_customize->add_setting( 'google_site_verification_code',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'google_site_verification_code',
   array(
      'label' => __( 'Prove your Page ownership to Google for better Rankings.', 'seodrive' ),
      'description' => esc_html__( 'Input the Google Site Verification Code. You will get it from your Google Search Console.', 'seodrive' ),
      'section'  => 'google_site_verification',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

/*******************Open Graph Structured Data  ******************************/

$wp_customize->add_section( 'open_graph' , array(
    'title' =>  'Open Graph Structured Data',
    'description' => '<h3>The following Open Graph properties are set automatically, if you check the box below:</h3> <strong>og:title, og:site_name, og:url</strong>.</br> og:url is individually set for each page.</br><h3>The other Open Graph properties are set for ALL pages with your input.</h3> That is not optimal but okay for simple sites or one-page-sites. It will improve your SEO and share viewing of your page.</br>An individual description for each page would be ideal. However, this is difficult to do here. You basically get basic equipment with structured data so that you have something to begin with and you do not have to use an extra plugin that might slow down your site or make it vulnerable. </br> <strong>If you do not want this: just leave the fields empty.</strong>',
    ) 
);

$wp_customize->add_setting( 'set_og_title_name_url',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'set_og_title_name_url',
   array(
      'label' => __( 'og:title, og:site_name and og:url', 'seodrive' ),
      'description' => esc_html__( 'I understand and set sidewide properties.', 'seodrive' ),
      'section'  => 'open_graph',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'checkbox',
      'capability' => 'edit_theme_options', // Optional. Default: 'edit_theme_options'
      'choices' => array(true)
   )
);

$wp_customize->add_setting( 'structured_data_og_locale',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'structured_data_og_locale',
   array(
      'label' => __( 'og:locale', 'seodrive' ),
      'description' => esc_html__( 'For example for Germany: de_DE', 'seodrive' ),
      'section'  => 'open_graph',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

$wp_customize->add_setting( 'structured_data_og_type',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'structured_data_og_type',
   array(
      'label' => __( 'og:type', 'seodrive' ),
      'description' => esc_html__('For example: article, recipe or website. Search for more on https://ogp.me ', 'seodrive'),
      'section'  => 'open_graph',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);



$wp_customize->add_setting( 'structured_data_og_description',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'structured_data_og_description',
   array(
      'label' => __( 'og:description', 'seodrive' ),
      'description' => esc_html__( 'Input a description for your homepage. Remember: it is set for ALL pages and should therefore be general.', 'seodrive' ),
      'section'  => 'open_graph',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

$wp_customize->add_setting(
    'structured_data_og_image', array(
    'type' => 'theme_mod',
    
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'absint'
));
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'structured_data_og_image', array(
    'section' => 'open_graph',
    'description' => esc_html__('The image will appear when you share or like your page. As long as you have not set the structured data individually for each page, you can use your logo here, for example. Dimensions: at least 600 x 315px. 1200 x 630px would be better.', 'seodrive'),
    'label' => __('og:image', 'seodrive'),
    'width' => 1200,
    'height' => 630
)));

$wp_customize->add_setting( 'structured_data_og_image_height',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'structured_data_og_image_height',
   array(
      'label' => __( '
      Height of the image used for og:image in px', 'seodrive' ),
      
      'section'  => 'open_graph',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

$wp_customize->add_setting( 'structured_data_og_image_width',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control( 'structured_data_og_image_width',
   array(
      'label' => __( '
      Width of the image used for og:image in px', 'seodrive' ),
     
      'section'  => 'open_graph',
      'priority' => 10, // Optional. Order priority to load the control. Default: 10
      'type'=> 'Text',
      'capability' => 'edit_theme_options' // Optional. Default: 'edit_theme_options'
    
   )
);

/******************* Favicons & icons  ******************************/

$wp_customize->add_section( 'favicons' , array(
    'title' =>  'Favicons & Touch Icons',
    'description' => 'Adding Favicons and Touch Icons will improve SEO and usability. Use PNG or JPG.'
) );

$wp_customize->add_setting( 'icon_16x16px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_16x16px', array(
    'section' => 'favicons',
 
    'label' => __('Icon 16x16 px', 'seodrive'),
    'width' => 16,
    'height' => 16
)));

$wp_customize->add_setting( 'icon_32x32px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_32x32px', array(
    'section' => 'favicons',

    'label' => __('Icon 32x32 px', 'seodrive'),
    'width' => 32,
    'height' => 32
)));

$wp_customize->add_setting( 'icon_57x57px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_57x57px', array(
    'section' => 'favicons',
    
    'label' => __('Apple Touch Icon 57x57 px', 'seodrive'),
    'width' => 57,
    'height' => 57
)
)
);

$wp_customize->add_setting( 'icon_60x60px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_60x60px', array(
    'section' => 'favicons',
   
    'label' => __('Apple Touch Icon 60x60 px', 'seodrive'),
    'width' => 60,
    'height' => 60
)));

$wp_customize->add_setting( 'icon_72x72px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_72x72px', array(
    'section' => 'favicons',
  
    'label' => __('Apple Touch Icon 72x72 px', 'seodrive'),
    'width' => 72,
    'height' => 72
)));

$wp_customize->add_setting( 'icon_76x76px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_76x76px', array(
    'section' => 'favicons',
   
    'label' => __('Apple Touch Icon 76x76 px', 'seodrive'),
    'width' => 72,
    'height' => 72
)));

$wp_customize->add_setting( 'icon_96x96px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_96x96px', array(
    'section' => 'favicons',
 
    'label' => __('Icon 96x96 px', 'seodrive'),
    'width' => 96,
    'height' => 96
)));

$wp_customize->add_setting( 'icon_114x114px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_114x114px', array(
    'section' => 'favicons',
  
    'label' => __('Apple Touch Icon 114x114 px', 'seodrive'),
    'width' => 114,
    'height' => 114
)));

$wp_customize->add_setting( 'icon_120x120px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_120x120px', array(
    'section' => 'favicons',
 
    'label' => __('Apple Touch Icon 120x120 px', 'seodrive'),
    'width' => 120,
    'height' => 120
)));

$wp_customize->add_setting( 'icon_144x144px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_144x144px', array(
    'section' => 'favicons',
  
    'label' => __('Apple Touch Icon 144x144 px', 'seodrive'),
    'width' => 144,
    'height' => 144
)));

$wp_customize->add_setting( 'icon_152x152px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_152x152px', array(
    'section' => 'favicons',
   
    'label' => __('Apple Touch Icon 152x152 px', 'seodrive'),
    'width' => 152,
    'height' => 152
)));

$wp_customize->add_setting( 'icon_180x180px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_180x180px', array(
    'section' => 'favicons',
  
    'label' => __('Apple Touch Icon 180x180 px', 'seodrive'),
    'width' => 180,
    'height' => 180
)));

$wp_customize->add_setting( 'icon_192x192px',
   array(
      'default' => '',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_text_field'
   )
);
 
$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'icon_192x192px', array(
    'section' => 'favicons',
  
    'label' => __('Icon 192x192 px', 'seodrive'),
    'width' => 192,
    'height' => 192
)));










} /* cp_customizer_settings */

}

/* Ausführung durch folgende Funktion: */

add_action( 'wp_head', 'seodrive_customize_colors' );
        function seodrive_customize_colors() {

            //Fonts 
            
            $fontsToSet = [];
            $fontsToSet = array(
            'fonts_site_title' => get_theme_mod( 'fonts_site_title' ) ,
            'fonts_site_subtitle' => get_theme_mod( 'fonts-site-subtitle' ) ,
            'fonts_main_menu' => get_theme_mod( 'fonts-main-menu' ),
            'fonts_footer_menu' => get_theme_mod( 'fonts-footer-menu' ) ,
            'fonts_page_title' => get_theme_mod( 'fonts-page-title' ),
            'fonts_page_heading_h1' => get_theme_mod( 'fonts-page-heading-h1' ),
            'fonts_page_headings_h2_h6' => get_theme_mod( 'fonts-page-headings-h2-h6' ),
            'fonts_page_text' => get_theme_mod( 'fonts-page-text' )
            );

            $fonts_site_title = get_theme_mod( 'fonts_site_title' );
            $fonts_site_subtitle = get_theme_mod( 'fonts-site-subtitle' );
            $fonts_main_menu = get_theme_mod( 'fonts-main-menu' );
            $fonts_footer_menu = get_theme_mod( 'fonts-footer-menu' );
            $fonts_page_title = get_theme_mod( 'fonts-page-title' );
            $fonts_page_heading_h1 = get_theme_mod( 'fonts-page-heading-h1');
            $fonts_page_headings_h2_h6 = get_theme_mod( 'fonts-page-headings-h2-h6');
            $fonts_page_text = get_theme_mod( 'fonts-page-text' );
            
            
            //Colors
            $header_background_color = get_option( 'header_background_color' );
  
            $header_title_color = get_option( 'header_title_color' );

            $header_subtitle_color = get_option( 'header_subtitle_color' );

            $page_background_color = get_option( 'page_background_color' );
  
            $single_page_title = get_option( 'single_page_title' );
            $footer_background_color = get_option('footer_background_color');
            $footer_menu_link_color = get_option('footer_menu_link_color');

            $heading_h1 = get_option( 'heading_h1' );
            $heading_h2 = get_option( 'heading_h2' );
            $heading_h3 = get_option( 'heading_h3' );
            $heading_h4 = get_option( 'heading_h4' );
            $heading_h5 = get_option( 'heading_h5' );
            $heading_h6 = get_option( 'heading_h6' );

            $text_color = get_option( 'text_color' );
            $text_link_color = get_option( 'text_link_color' );
            $main_menu_link_color_desktop = get_option( 'main_menu_link_color_desktop' );
            $main_menu_link_color_desktop_active = get_option( 'main_menu_link_color_desktop_active' );
            $menu_dropdown_arrow = get_option(' menu_dropdown_arrow ');
            $submenu_close_button = get_option(' submenu_close_button ');
            $buttons_background_color = get_option('buttons_background_color');
            $buttons_font_color = get_option('buttons_font_color');
           
            $hamburger_icon = get_option( 'hamburger_icon' );

            $scrollTopButton_background_color = get_option(' scrolltop_button_background_color ');
            $scrollTopButtonArrow_color = get_option(' scrolltop_button_arrow_color ');

           //Header Logo direkt in der header.php
           //Google Site Verification in header.php

           
            
           
            ?>          
            <style>
          
           /* Fonts *************************/
           
           
           /*Colors*************************/
            #cp-header-title a {color: <?php echo $header_title_color; ?>; font-family: '<?php echo $fonts_site_title?>', Arial, sans-serif;}
            #cp-header-subtitle p, .cp-header-info-bar p {color: <?php echo $header_subtitle_color;?>; font-family: '<?php echo $fonts_site_subtitle?>', Arial, sans-serif;}
            header {background-color: <?php echo $header_background_color; ?>}
            .cp-singlepage-container {background-color: <?php echo $page_background_color; ?>}
            #cp-footer {
                background-color: <?php echo $footer_background_color;?>;
            }
            .footer-menu ul li a {
                color: <?php echo $footer_menu_link_color;?>;
            }
            h2, h3, h4, h5, h6 {
                font-family: '<?php echo $fonts_page_headings_h2_h6; ?>', Arial, sans-serif
            }
            .cp-main-content p, .cp-header-info-bar a,  .cp-header-info-bar p, ::before, ::after, .cp-main-content ::before, .cp-main-content ::before ul, .cp-main-content ::before ul li, .cp-main-content ::before ul li a, .cp-main-content ::before a, .cp-main-content ::before button, .cp-main-content ::before button a, .cp-main-content button, form, form label, input {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .widget, small {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .wp-block-latest-comments {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .wp-block-latest-comments__comment {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .wp-block-latest-comments ol {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }

            .wp-block-latest-comments__comment-meta {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .cp-main-content a,.cp-main-content li, .cp-main-content button, .cp-main-content ::before ol, .cp-main-content ::before ol li, .cp-main-content ::before ol li a {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
           
            .cp-main-content p, .wp-block-embed__wrapper, figcaption {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            a:where(:not(.wp-element-button))  {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .cp-main-content ul li, .cp-main-content ol li {
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            h1 {color: <?php echo $heading_h1 ?>; font-family: '<?php echo $fonts_page_heading_h1 ?>', Arial, sans-serif; }
            h2 {color: <?php echo $heading_h2 ?>;}
            h3 {color: <?php echo $heading_h3 ?>;} 
            h3.cp-entry-titel { color: <?php echo $single_page_title?>!important; 
                font-family:'<?php echo $fonts_page_title ?>', Arial, sans-serif!important;} 
            h4 {color: <?php echo $heading_h4; ?>}
            h5 {color: <?php echo $heading_h5; ?>}
            h6 {color: <?php echo $heading_h6; ?>}
            body, .cp-header-info-bar a,  .cp-header-info-bar p,.cp-singlepage-container p, .cp-singlepage-container table, .cp-singlepage-container ul, .cp-singlepage-container ol, .cp-singlepage-container caption, .page-numbers, time {
                color: <?php echo $text_color; ?>;
                font-family: '<?php echo $fonts_page_text; ?>', Arial, sans-serif
            }
            .cp-singlepage-container a {color: <?php echo $text_link_color; ?>}
            .cp-display-single-submenu a, #cp-header-menu ul li a {color: <?php echo $main_menu_link_color_desktop; ?>; font-family:'<?php echo $fonts_main_menu?>', Arial, sans-serif;}
            .cp-display-single-submenu ul li.current_page_item a, #cp-header-menu ul li.current_page_item a {color:<?php echo $main_menu_link_color_desktop_active; ?> }
            .arrow {border-color: <?php echo $menu_dropdown_arrow; ?>;}
            .cp-submenu-close-button {color: <?php echo $submenu_close_button; ?>;}
            .wp-element-button {background-color: <?php echo $buttons_background_color;?>; color: <?php echo $buttons_font_color;?>;}
          /* ++++++++++++++++++++++++++++++++++++*/
            #cp-mobile-menu ul li a {color: <?php echo $main_menu_link_color_mobile; ?> }
            #cp-mobile-menu ul li.current_page_item a {color:<?php echo $main_menu_link_color_mobile_active; ?> }
            #cp-mobile-menu {background-color: <?php echo $main_menu_mobile_color_1st; ?>}
            #cp-mobile-menu ul li a  {border-bottom: 1px solid <?php echo $main_menu_mobile_color_2nd; ?>}
            #cp-mobile-menu ul   {border-bottom: 1px solid <?php echo $main_menu_mobile_color_2nd?>;
                border-top: 1px solid <?php echo $main_menu_mobile_color_2nd?>;}
           /* +++++++++++++++++++++*/
           
                .cp-hamburger  {background-color:<?php echo $hamburger_icon ?>;}   
            #cp-footer ul li a {font-family: '<?php echo $fonts_footer_menu ?>', Arial, sans-serif;
                                color: <?php echo $footer_menu_link_color;?>;
            } 

            #cp-scroll {
                background-color: <?php echo $scrollTopButton_background_color; ?>
            }
            .cp-scroll-up-arrow {border-color: <?php echo $scrollTopButtonArrow_color?>;}

                
         
            
            </style>
     
<?php
        }
?>
