<?php
require_once('customizer.php');



if ( ! function_exists( 'seodrive_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various
	 * WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme
	 * hook, which runs before the init hook. The init hook is too late
	 * for some features, such as indicating support post thumbnails.
	 */
	function seodrive_setup() {
        
    /**
	 * Make theme available for translation.
	 * Translations can be placed in the /languages/ directory.
	 */
		load_theme_textdomain( 'seodrive', get_template_directory() . '/languages' );

		/**
		 * Add default posts and comments RSS feed links to <head>.
		 */
		add_theme_support( 'automatic-feed-links' );

		/**
		 * Enable support for post thumbnails and featured images.
		 */
		add_theme_support( 'post-thumbnails' );

		/**
		 * Add support for two custom navigation menus.
		 */
        register_nav_menus( array(
            'primary' => __( 'Primare Menu', 'seodrive' ),
            'footer' => __( 'Footer Menu', 'seodrive' ),
        'sidebar' => __('Sidebar Menu', 'seodrive')
        ) );  


		/**
		 * Enable support for the following post formats:
		 * aside, gallery, quote, image, and video
		 */
		add_theme_support( 'post-formats', array( 'aside', 'gallery', 'quote', 'image', 'video' ) );

        //theme-support

            
            add_theme_support('automatic-feed-links');
            add_theme_support( 'title-tag' ) ;
            add_theme_support('wp-block-styles');
            add_theme_support( 'align-wide' );
            add_theme_support( "responsive-embeds" );
            add_theme_support( "post-thumbnails" );
            add_theme_support( "title-tag" );
            add_theme_support( 'custom-logo', array(
                'height' => 70,
                'width'  => 70,
            ) );
            $custom_backgrounds_defaults = array(
                'default-color'          => '000000',
                'default-image'          => ''
              /*  'default-repeat'         => 'repeat',
                'default-position-x'     => 'left',
                    'default-position-y'     => 'top',
                    'default-size'           => 'auto',
                'default-attachment'     => 'scroll',
                'wp-head-callback'       => '_custom_background_cb',
                'admin-head-callback'    => '',
                'admin-preview-callback' => ''*/
            );
            add_theme_support( 'custom-background', $custom_backgrounds_defaults  );
          
            add_theme_support( 'html5', array( 'search-form' ) );
            add_theme_support( 'custom-spacing');
            add_theme_support( 'appearance-tools' );
            add_theme_support( 'post-formats',  array( 'aside', 'gallery', 'quote', 'image', 'video' ) );
            add_theme_support('core-block-patterns');
            add_theme_support( 'editor-styles' );
            add_editor_style('style-editor.css');

            function theme_slug_setup() { add_theme_support( 'title-tag' ); } add_action( 'after_setup_theme', 'theme_slug_setup' );

                //block-library-styles abschalten, betrieb dann mit classic-editor
                function gutenberg_style_abschalten() {
                    wp_dequeue_style( 'wp-block-library' ); }
                    add_action( 'wp_enqueue_scripts', 'gutenberg_style_abschalten', 100 );

                    // Emojis entfernen

                    function remove_emoji()
                    {
                    remove_action('wp_head', 'print_emoji_detection_script', 7);
                    remove_action('admin_print_scripts', 'print_emoji_detection_script');
                    remove_action('admin_print_styles', 'print_emoji_styles');
                    remove_action('wp_print_styles', 'print_emoji_styles');
                    remove_filter('the_content_feed', 'wp_staticize_emoji');
                    remove_filter('comment_text_rss', 'wp_staticize_emoji');
                    remove_filter('wp_mail', 'wp_staticize_emoji_for_email');
                    add_filter('tiny_mce_plugins', 'remove_tinymce_emoji');
                    }


                    add_action('init', 'remove_emoji');
                    function remove_tinymce_emoji($plugins)
                    {
                    if (!is_array($plugins))
                        {
                        return array();
                        }
                    return array_diff($plugins, array(
                        'wpemoji'
                    ));
                    }



                // fix custo,izer ???

                add_filter('the_tags', 'wp32234_add_span_get_the_tag_list');

function wp32234_add_span_get_the_tag_list($list) {
    $list = str_replace('rel="tag">', 'rel="tag"><span>', $list);
    $list = str_replace('</a>', '</span></a>', $list);
    return $list;
}

                //remove_action('shutdown', 'wp_ob_end_flush_all', 1);


                //Sidebar 
                function seodrive_widgets_init() {
                    register_sidebar( array(
                        'name'          => __( 'Primary Sidebar', 'seodrive' ),
                        'id'            => 'sidebar-1',
                        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                        'after_widget'  => '</aside>',
                        'before_title'  => '<h3 class="widget-title">',
                        'after_title'   => '</h3>',
                    ) );
                    register_sidebar( array(
                        'name'          => __( 'Secondary Sidebar', 'seodrive' ),
                        'id'            => 'sidebar-1',
                        'before_widget' => '<ul><li id="%1$s" class="widget %2$s">',
                        'after_widget'  => '</li></ul>',
                        'before_title'  => '<h3 class="widget-title">',
                        'after_title'   => '</h3>',
                    ) );
                }

                add_action( 'widgets_init', 'my_register_sidebars' );
                function my_register_sidebars() {
                    /* Register the 'primary' sidebar. */
                    register_sidebar(
                        array(
                            'id'            => 'sidebar-1',
                            'name'          => __( 'Primary Sidebar', 'seodrive' ),
                            'description'   => __( 'Just a Sidebar. You can put a Menu in here.', 'seodrive' ),
                            'before_widget' => '<div id="%1$s" class="widget %2$s">',
                            'after_widget'  => '</div>',
                            'before_title'  => '<h3 class="widget-title">',
                            'after_title'   => '</h3>',
                        )
                    );
                }
	            /* Repeat register_sidebar() code for additional sidebars. */

                //Registrieren von Customizer-Funktionalität

                    function seodrive_post_title( $heading, $post ) {
                        echo '<' . $heading . ' class="entry-title">';
                        if ( ! is_single() ) { ?>
                        <a href="<?php esc_url( the_permalink() ); ?>">
                        <?php }
                        the_title();
                        if ( ! is_single() ) { ?>
                        </a>
                        <?php }
                        echo '</' . $heading . '>';
                        }
                
                        function seodrive_the_content() {
                        $text = _x( 'Continue reading “%s”', 's = post title', 'seodrive' );
                        $more = sprintf( $text, esc_html( get_the_title() ) );
                        the_content( $more );
                        }

                // JS defer-Attribut setzen

                    add_filter( 'script_loader_tag', 'add_defer_attribute', 10, 2 );
                    function add_defer_attribute( $tag, $handle ) {
                        $scripts_to_defer = array( 'my-header-js', 'my-helper-js' );
                        
                        foreach( $scripts_to_defer as $defer_script )
                            if( $defer_script === $handle )
                                return str_replace( ' src', ' defer="defer" src', $tag );
                        
                        return $tag;
                    }
                
                //JS einbinden

                function themeslug_enqueue_helper_script() {
                        wp_enqueue_script( 'my-helper-js', get_stylesheet_directory_uri().'/js/dom-helper.js', false );
                    }
                    add_action( 'wp_enqueue_scripts', 'themeslug_enqueue_helper_script' );
                    /* function themeslug_enqueue_header_script() {
                        wp_enqueue_script( 'my-header-js', get_stylesheet_directory_uri().'/js/header.js', false );
                    } */
                    function themeslug_enqueue_header_script() {
                        wp_enqueue_script( 'my-header-js', get_stylesheet_directory_uri().'/js/header.js', array(), null, true );
                    }
                    add_action( 'wp_enqueue_scripts', 'themeslug_enqueue_header_script' );
                





                    //Tags & Categories
                    function add_taxonomies_to_pages() {	 register_taxonomy_for_object_type( 'post_tag', 'page' );	 register_taxonomy_for_object_type( 'category', 'page' );}add_action( 'init', 'add_taxonomies_to_pages' );	if ( ! is_admin() ) {		add_action( 'pre_get_posts', 'category_and_tag_archives' );	}function category_and_tag_archives( $wp_query ) {	$my_post_array = array('post','page');	if ( $wp_query->get( 'category_name' ) || $wp_query->get( 'cat' ) )	$wp_query->set( 'post_type', $my_post_array );	if ( $wp_query->get( 'tag' ) )	$wp_query->set( 'post_type', $my_post_array );}







                //funktionen für comment.php, author-link in den comments führt sonst auf die startseite
                function use_author_link_as_comment_author_url( $url, $id, $comment ) {
                    if ( $comment->user_id ) {
                        return get_author_posts_url( $comment->user_id );
                    }
                    return $url;
                }
                add_filter( 'get_comment_author_url', 'use_author_link_as_comment_author_url', 10, 3 );

                // excerpt_more should be set the empty.
                    add_filter( 'excerpt_more', '__return_empty_string', 21 );

                    function wpse_134143_excerpt_more_link( $excerpt ) {
                        $excerpt .= sprintf( 
                                '<a href="%s" class="cp-archives-read-more-link">%s</a>',
                                esc_url( get_permalink() ),
                                __( '...read more &nbsp;&raquo;', 'seodrive' )
                        );
                        return $excerpt;
                    }
                    add_filter( 'the_excerpt', 'wpse_134143_excerpt_more_link', 21 );

                
                //archives ## hooks for wp_get_archives();
                
                
                function featured_image_support() {
                    add_theme_support( 'post-thumbnails' );
                }
                add_action( 'after_setup_theme', 'featured_image_support' );

	
		
	/*
		function wpnoob_register_styles() {	
     wp_register_style('style', get_template_directory_uri() . '/style.css', array(), 12, false, 'all');		
		}
		add_action('wp_enqueue_scripts', 'wpnoob_register_styles');
		
		
		
function wpnoob_preload_filter($html, $handle) { if ($handle === 'preload-style') { $html = str_replace("rel='stylesheet'", "rel='preload' as='style'", $html); } return $html; } 

function wpnoob_enqueue_styles() { wp_enqueue_style('preload-style', get_stylesheet_uri(), false, null); 								  								  
add_filter('style_loader_tag', 'wpnoob_preload_filter', 10, 2); }
		
add_action('wp_enqueue_styles', 'wpnoob_enqueue_styles');
		

                
   */
		

		
		
		



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	}
endif; // seodrivet_setup
add_action( 'after_setup_theme', 'seodrive_setup' );


	
