<!DOCTYPE html>
<html <?php echo language_attributes(); ?> class="no-js">
<head>
<title><?php  echo get_the_title() ?></title>
<meta charset="<?php echo bloginfo( 'charset' ); ?>">
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
 <?php $google_site_verification_code = get_theme_mod('google_site_verification_code')?>
<meta name="google-site-verification" content="<?php echo $google_site_verification_code ?>" />
<meta name="viewport" content= "width=device-width, initial-scale=1.0">
<meta name="author" content="" />
<meta property="og:title" content="<?php if(get_theme_mod('set_og_title_name_url') == true){echo the_title();}?>">
<meta property="og:url" content="<?php if(get_theme_mod('set_og_title_name_url') == true){echo esc_url(home_url( add_query_arg( array(), $wp->request ) ));}?>">
<meta property="og:site_name" content="<?php if(get_theme_mod('set_og_title_name_url') == true){echo bloginfo( 'title' );}?>">
<meta property="og:locale" content="<?php if(get_theme_mod('structured_data_og_locale')){echo esc_html(get_theme_mod('structured_data_og_locale'));}?>">
<meta property="og:type" content="<?php if(get_theme_mod('structured_data_og_type')){echo esc_html(get_theme_mod('structured_data_og_type'));}?>">
<meta property="og:description" content="<?php if(get_theme_mod('structured_data_og_description')){echo esc_html(get_theme_mod('structured_data_og_description'));}?>">
<meta property="article:published_time" content="">
<meta property="article:modified_time" content="">
<meta property="og:image" content="<?php if(get_theme_mod('structured_data_og_image') == true){echo wp_get_attachment_url(get_theme_mod('structured_data_og_image'));}?>">
<meta property="og:image:width" content="">
<meta property="og:image:height" content="">
<meta name="robots" content="index, follow">
<link rel="icon" type="image/png" sizes="16x16"  href="<?php if(get_theme_mod('icon_16x16px') == true){echo wp_get_attachment_url(get_theme_mod('icon_16x16px'));}?>">
<link rel="icon" type="image/png" sizes="32x32"  href="<?php if(get_theme_mod('icon_32x32px') == true){echo wp_get_attachment_url(get_theme_mod('icon_32x32px'));}?>">
<link rel="apple-touch-icon" sizes="57x57" href="<?php if(get_theme_mod('icon_57x57px') == true){echo wp_get_attachment_url(get_theme_mod('icon_57x57px'));}?>">
<link rel="apple-touch-icon" sizes="60x60" href="<?php if(get_theme_mod('icon_60x60px') == true){echo wp_get_attachment_url(get_theme_mod('icon_60x60px'));}?>">
<link rel="apple-touch-icon" sizes="72x72" href="<?php if(get_theme_mod('icon_72x72px') == true){echo wp_get_attachment_url(get_theme_mod('icon_72x72px'));}?>">
<link rel="apple-touch-icon" sizes="76x76" href="<?php if(get_theme_mod('icon_76x76px') == true){echo wp_get_attachment_url(get_theme_mod('icon_76x76px'));}?>">
<link rel="icon" type="image/png" sizes="96x96"  href="<?php if(get_theme_mod('icon_114x114px') == true){echo wp_get_attachment_url(get_theme_mod('icon_114x114px'));}?>">
<link rel="apple-touch-icon" sizes="114x114" href="<?php if(get_theme_mod('icon_114x114px') == true){echo wp_get_attachment_url(get_theme_mod('icon_114x114px'));}?>">
<link rel="apple-touch-icon" sizes="120x120" href="<?php if(get_theme_mod('icon_120x120px') == true){echo wp_get_attachment_url(get_theme_mod('icon_120x120px'));}?>">
<link rel="apple-touch-icon" sizes="144x144" href="<?php if(get_theme_mod('icon_144x144px') == true){echo wp_get_attachment_url(get_theme_mod('icon_144x144px'));}?>">
<link rel="apple-touch-icon" sizes="152x152" href="<?php if(get_theme_mod('icon_152x152px') == true){echo wp_get_attachment_url(get_theme_mod('icon_152x152px'));}?>">
<link rel="apple-touch-icon" sizes="180x180" href="<?php if(get_theme_mod('icon_180x180px') == true){echo wp_get_attachment_url(get_theme_mod('icon_180x180px'));}?>">
<link rel="icon" type="image/png" sizes="192x192"  href="<?php if(get_theme_mod('icon_192x192px') == true){echo wp_get_attachment_url(get_theme_mod('icon_192x192px'));}?>">
<?php if ( is_singular() && pings_open() ) { ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php }
wp_head(); ?>
<?php
$header_logo_desktop = get_theme_mod('header_logo_desktop');
$header_logo_desktop_url = '';
if ($header_logo_desktop != 0) {
    $header_logo_desktop_url = wp_get_attachment_url($header_logo_desktop);
}
$header_logo_mobile = get_theme_mod('header_logo_mobile');
$header_logo_mobile_url = '';
if ($header_logo_mobile != 0) {
    $header_logo_mobile_url = wp_get_attachment_url($header_logo_mobile);
}
$header_logo_desktop_width = (int)get_theme_mod('header_logo_desktop_width');
$header_logo_mobile_width = (int)get_theme_mod('header_logo_mobile_width');
$header_info_box = get_theme_mod('header_info_box');
$header_info_box_countrycode = get_theme_mod('header_info_box_countrycode');
$hide_header_subtitle = get_theme_mod('hide_header_subtitle');
?>
<style>
        *, ::after, ::before {
    box-sizing: inherit;
}
html {
  scroll-behavior: smooth;
}
body {
    color: #626262;
  display: flex;
flex-direction: column;
  align-items: center;
  width: 100%;
  margin: 0 auto;
  hyphens: auto;
}
main {
  width: 100%;
}
img {
  max-width: 100%;
  height: auto;
  border-radius: 2px;
}
a, .cp-post-meta a {
  text-decoration: none;
}
.cp-pagewrapper {
  width: 100%;
  max-width: 1600px;
  margin-top: 104px;
  line-height: 2em;
}
input[type="submit"] {
  padding: 0.5em;
}
a { text-decoration: none;}
header {
  display: flex;
  flex-direction: column;
  align-items: center;
  top: 0;
  margin: 0 auto;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    padding-left: 3em;
    padding-right: 3em;
    background: white;
    width: 100vw;
    z-index: 20;
    position: fixed;
    border-bottom: 1px solid #f1f1f1;
  }
  #cp-header-container {
    width: 100%;
    max-width: 1920px;
    height: 70px;
    max-height: 100px;
    padding-left: 1.3em;
    display: grid;
    grid-template-columns: 45% 55%;
    grid-template-rows: 70px;
  }
  #cp-branding {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
    display: grid;
    column-gap: 15px;
    grid-template-rows: 35px;
    color: #a8a7a7;
  }
  #cp-branding a {
    display: block;
    text-decoration: none;
    font-family: 'Quicksand', Arial, sans-serif;
    font-size: calc(14px + (24 - 14) * ((100vw - 320px) / (1600 - 320)));
  }
        #cp-header-logo {
            grid-row-start: 1;
            grid-row-end: 3;
            grid-column-start: 1;
            grid-column-end: 2;
        }
        #cp-header-title {
            grid-row-start: 1;
            grid-row-end: 2;
            grid-column-start: 2;
            grid-column-end: 3;
            padding-top: 0.1em;      
            padding-bottom: 0.1em;
            background: url('');
            background-repeat: no-repeat;
        }
        .header-site-title {
                font-size: 27px;
        }
        #cp-header-subtitle {
            grid-row-start: 2;
            grid-row-end: 3;
            grid-column-start: 2;
            grid-column-end: 3;
            margin-top: 5px;
        }
  #cp-header-menu-container {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 2;
    grid-column-end: 3;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: 1fr;
    margin-right: 2em;
  }
  #cp-header-menu {
            grid-row-start: 1;
            grid-row-end: 2;
            grid-column-start: 1;
            grid-column-end: 2;
  }
.cp-display-submenus {
  z-index: 15;
  display: grid;
  grid-template-rows: 100px auto;
  grid-template-columns: 1fr;
  overflow: scroll;
  overflow-x: hidden;
  height: 60vh;
  top: 108px; 
  position: fixed;
  width: 100%;
  max-width:500px;
  background-color: white;
  border: 1px solid #f2f0f0;;
  border-left: 16px solid #f2f0f0;
  border-bottom: 16px solid #f2f0f0;
  border-radius: 3px;
}
.cp-display-single-submenu{
  padding-left: 1em;
  -moz-user-select: none;
  -khtml-user-select: none;
  user-select: none;
}
.cp-submenu-close-button {
color:#626262;
background-color: #f2f0f0;
margin-block-start: 0;
margin-block-end: 0;
text-align: center;
cursor: pointer;
line-height: 2em;
}
.cp-submenu-close-button:hover {
color: rgb(158, 2, 2);
background-color: white;
}
.cp-submenu-levelup {
height: 2em;
width: 100%;
margin-top: 5px;
}
#cp-header-menu ul {
                    text-align: right;
                }
                #cp-header-menu ul li{
                    white-space: nowrap;
                    display: inline;
                    list-style-type: none;
                    padding: 0.6em 1em 0.4em 1em;
                   font-size: calc(14px + (18 - 14) * ((100vw - 320px) / (1600 - 320)));
                }
                #cp-header-menu ul li a {
                    font-size: calc(14px + (18 - 14) * ((100vw - 320px) / (1600 - 320)));
                }
#cp-header-menu ul li a {
                    font-size: calc(14px + (18 - 14) * ((100vw - 320px) / (1600 - 320)));
                    font-weight: 600;
                    letter-spacing: 1px;
}
#cp-header-menu ul li a {
                    text-decoration: none;
                    font-family: 'Quicksand', Arial, sans-serif;    
}
#cp-header-menu ul li.current_page_item a, .cp-display-single-submenu ul li.current_page_item a {
                
                  color: #626262;
}         
#cp-header-subtitle p {
          margin:0;
          padding:0px;
          font-size: calc(14px + (18 - 14) * ((100vw - 320px) / (1600 - 320)));
}
.cp-header-info-bar {
    color: #626262;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    letter-spacing:3px;
    font-variant: small-caps;
    font-weight: bold;
}
.cp-header-info-bar p {
    padding: 0;
    margin: 0;
    font-size: 17px;    
}
.cp-header-info-bar a {
    text-decoration: none;
    font-size: 17px;
}
#cp-branding {
    grid-auto-columns: <?php echo $header_logo_desktop_width.'px' ?> max-content;
}
h3.cp-entry-titel {
    margin-left: 0.5em;
}
#cp-footer {
  bottom: 0;
  width: 100%;
  min-height: 50px;
  background-color: white;
  padding-bottom: 10px;
  border: 1px solid rgb(241, 241, 241);
}
.cp-footer-wrapper {
                  display: grid;
                  grid-template-rows: auto;
                  grid-template-columns: 1fr;
}
.footer-menu li {
  line-height: 2.3em;   
  display: inline;                  
}                
#cp-footer-menu ul {                   
  list-style-type: none;
  text-align: right;
  padding-right: 1em;
}                 
#cp-footer-menu ul li{
  list-style-type: none;
  text-align: right;
  padding-left: 2em;
  padding-top: 0.5em;
  font-size: 1em;
}                 
#cp-footer-menu ul li a {
  text-decoration: none;
  color: #626262;
  font-size: 1em;
  font-weight: 600;
  letter-spacing: 1px;
}
.cp-link,  .cp-link > a {
  color: #626262;
  font-size: 12px;
  text-align: center;
  text-decoration: none;
  font-weight: 400;
}             
#cp-scrolltop-container {                    
  height: 50px;
  position: fixed;
  bottom: 0em;     
  left: 0;   
}
#cp-scroll {
  height: 3em;
  background-size: 3em 3em;
  width: 3em;
  border-radius: 3px;
  margin-left: 1px;
  cursor: pointer; 
}
.cp-scroll-up-arrow {
  margin-left: 0.9em;
  margin-top: 1.1em;                 
  height:1em;
  width: 1em;
  border: solid white;
  border-width: 0 4px 4px 0;
  display: inline-block;    
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
}
p, a, li, h1, h2, h3, h4, h5, h6, td {
  font-family: 'Quicksand', Arial, sans-serif;
}
h1 {
  font-size: calc(26px + (38 - 26) * ((100vw - 320px) / (1600 - 320)));
}
h2 {
  font-size: 2.4em;
  font-size: calc(24px + (35 - 24) * ((100vw - 320px) / (1600 - 320)));
}
h3 {
  font-size: calc(21px + (30 - 21) * ((100vw - 320px) / (1600 - 320)));
}
                    
h4 {
  font-size: calc(19px + (27 - 19) * ((100vw - 320px) / (1600 - 320)));
 }
h5 {
  font-size: calc(17px + (25 - 17) * ((100vw - 320px) / (1600 - 320)));
}
h6 {
  font-size: calc(16px + (23 - 16) * ((100vw - 320px) / (1600 - 320)));
}
button {
  cursor: pointer;
}
p, li {
  color: #626262;
}
a {
  text-decoration: none;
  color: #dd3333;   
  font-weight: 600;  
}
hr {
  border-top: 0px;
  border-color: #c1c1c1;                  
}
.cp-singlepage-container {
  padding-left: 0.5em;
  padding-right: 0.5em;
  padding-top: 2em;   
}
.cp-main-content {
  padding-bottom: 4em;
}
.cp-sidebar {
  border-top: 1px solid #cfcfcf;
  padding-top: 2em;
  padding-bottom: 2em;
  padding-left: 3em;
  padding-right: 3em;
  font-size: calc(16px + (20 - 16) * ((100vw - 320px) / (1600 - 320)));
}
.cp-sidebar ul li {
  line-height: 2em;
  text-decoration: none;
}
.cp-sidebar a, .cp-sidebar p {
  font-size: calc(16px + (20 - 16) * ((100vw - 320px) / (1600 - 320)));
}
.cp-sidebar h2, .cp-sidebar h3, .cp-sidebar h4, .cp-sidebar h5 .cp-sidebar h6 {
  font-size: calc(16px + (22 - 16) * ((100vw - 320px) / (1600 - 320)));
}
.cp-sidebar ul {
  list-style-type: none;
}
.cp-sidebar .widget:last-child {
  border-bottom: 0px;
}
.cp-sidebar ul {
  padding-inline-start: 0;
}
.hide {
    display: none;
}
.cp-single-post {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
.cp-blog-entry-header-front-page h2 {
  font-variant: small-caps;
}
.cp-blog-start-page > p::first-letter {
  width: 150px;
  height: 150px;
  font-size: 200%;
  shape-outside: circle(50%);
}
.cp-blog-start-page > p::first-line{
  line-height: 100%;
}
.cp-category-items {
 width: 100%; 
 max-width: 1200px;
 padding: 2em; border: 1px solid #cfcfcf; border-radius: 3px; margin-bottom: 2em;
}
.cp-single-post > .cp-category-items {
 display: flex;
 flex-direction: column;
 justify-content: center;
 align-items: center;
}
.cp-single-post > .cp-category-items p{
 background-color:#f1f1f1;
 padding: 2em;
 border-radius: 3px; 

}
.cp-blog-post {
  width: 100%;
  max-width: 1200px;
  padding-left: 1em;
  padding-right: 1em;
}
.cp-category-items p {
 text-align: left;
}
.cp-archives-read-more-link{
 text-decoration: none;
}

@media only screen and (max-width: 1050px) {
    body {
      margin:0; 
  }
  .cp-pagewrapper {
    margin-top:57px;
    line-height: 2em;
  }
  #cp-header-container {
  height: 40px;
  max-height: 40px;
  display: grid;
  grid-template-columns: 80% 20%;
  grid-template-rows: auto;
  padding-left: 3em;
  padding-right: 1em;
  }
  #cp-hamburger-icon {
  display: flex;
  align-items: center;
  }
  #cp-branding {
    grid-auto-columns: <?php echo $header_logo_mobile_width.'px' ?> max-content;
  }
  #cp-branding {
  display: flex;
  align-items: center;
  height: 40px;
  color: #a8a7a7;
  }
  #cp-header-logo img {
  max-height: 40px;
  }
  #cp-branding a {
  text-decoration: none;
  width: 100%;
  height: 40px;
  margin-left: 0;
  margin-right: 0;
  padding-left: 0;
  padding-right: 0;
  display: block;
  }
  .show {
  display: block;
  }
  .cp-link-active a {
  font-weight: 900;
  color: white!important;
  }
  .cp-header-logo-img-link {
    height: 40px;
    width: 100%;
    background-image: url('<?php echo $header_logo_mobile_url;?>');
    background-repeat: no-repeat;
        <?php 
          echo($header_logo_mobile_url);
          if($header_logo_mobile_url == ''){
              echo ('width: 0px!important;');
          }
          else{
              echo ('width: 100%;');
          }
        ?>  
}
#cp-header-logo {
grid-column-start: 1;
grid-column-end: 2;
}
#cp-header-title {
padding-left: 0.5em;
grid-column-start: 2;
grid-column-end: 3;
}
#cp-header-subtitle {
display: none;
}
#cp-header-logo {
    width: <?php echo $header_logo_mobile_width.'px' ?>;
  }
  #cp-header-menu {
display: none;
}
#cp-hamburger-icon {
  z-index: 100;
  width: 40px;
  height: 40px;
  display: flex;
  flex-direction: column;
  align-items:center;
  justify-content: center;
  margin-left: auto;
  cursor: pointer;
}
.cp-hamburger {
  width: 40px;
  height: 6px;
  /*background-color: #626262;*/
  margin-bottom: 5px;
  border-radius: 2px;
}
.cp-display-submenus {
  top: 55px; /* Header Height => 100px; */
}
  .cp-blog-post {
  display: flex; flex-direction: column; justify-content: center; 
}
.cp-blog-post > p {
  padding: 1em;
  margin-bottom: 1em;
  border-radius: 3px;
}
.cp-post-meta, .post-meta {
  text-align: center;
  width: 100%;
}
.cp-post-meta p, .cp-post-meta a, .post-meta p, .post-meta a {
  color: black;
  font-size: calc(15px + (16 - 15) * ((100vw - 320px) / (1600 - 320)));
  font-style: italic;
  letter-spacing: 1px;
}
.cp-post-meta p, .post-meta p {
  border-top: 1px solid #cfcfcf;
  border-bottom: 1px solid #cfcfcf;
  padding-top: 6px;
  padding-bottom: 3px;
}

}

@media only screen and (max-width: 600px) {
.cp-sidebar {
  padding-left: 0.5em;
  padding-right: 0.5em;
}
}
.hide {
  display: none;
}  
.alignleft{
  clear: both;
  display: block;
  margin-left: auto;
}
.alignright{
  clear: both;
  display: block;
  margin-left: auto;
}
.aligncenter{
  clear: both;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}
.has-text-align-center {
  text-align: center;
}
.has-text-align-left {
  text-align: left;
}
.has-text-align-right {
  text-align: right;
}
.sticky {position: sticky;}
.wp-caption-text {
  font-size: calc(14px + (18 - 14) * ((100vw - 320px) / (1600 - 320)));
}
.screen-reader-text {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}
.wp-block-search__label, .search-form {
  color: #32373c;
}
.wp-block-search__input, .search-form input {
  line-height: 2em;
  font-size: calc(17px + (22 - 17) * ((100vw - 320px) / (1600 - 320)));
  margin-bottom: 5px;
}
.cp-archives-ul, .cat-item {
  list-style-type: none;
}
.cp-archives-ul li{
  padding: 0.5em;
}
.cp-archives-ul a{
  text-decoration: none;
  letter-spacing: 3px;
}
::before {
  font-family: 'Quicksand', Arial, sans-serif;
}
p, li, a, button {  
                     font-size: calc(17px + (22 - 17) * ((100vw - 320px) / (1600 - 320)));
                   }
.wp-caption {
 max-width: 100%;
}
.wp-caption img[class*=wp-image-]{
display: block;
margin-left: auto;
margin-right: auto;
}
.blog-description{
    <?php 
    if ($hide_header_subtitle == 1){
        echo ('display: none;');  
    }
    ?>
}
#cp-header-title {
    <?php
    if ($hide_header_subtitle == 1){
        echo ('  grid-row-start: 1;
        grid-row-end: 3;
        display: flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        ');  
    }
    ?>
}
.cp-header-logo-img-link {
                    height: 70px;
                    background-repeat: no-repeat;
                    background-image: url('<?php echo $header_logo_desktop_url;?>');
                    <?php 
                    if($header_logo_desktop_url == ''){
                        echo ('width: 0;');
                    }
                    else{
                        echo ('width: 100%;');
                    }
                    ?>
}
.cp-pagewrapper, .cp-display-submenus {
    <?php 
   // echo (get_theme_mod('hide_header_subtitle'));
   
    if ($header_info_box !== ''){
        echo('top: 108px;');  
    }
    else{
        echo'top: 87px;';
    }
    
    ?>
}
.cp-header-info-bar {
    <?php 
    $hide_header_infobox = get_theme_mod('hide_header_infobox');
    if ($hide_header_infobox == 1){
        echo ('display: none;');  
    }
    ?>
}

<?php
if ($hide_header_infobox == 1 || $header_info_box == ''){
    echo'
  @media only screen and (max-width: 1050px) {
    .cp-pagewrapper, .cp-display-submenus {
        top: 57px;
    }
  }';}

    else{
        echo '
        @media only screen and (max-width: 1050px) {
        .cp-pagewrapper, .cp-display-submenus {
            top: 78px;
        }
      }';
    }
?>
</style>
<link rel="preload" href="<?php bloginfo('stylesheet_url'); ?>" as="style" media="all" onload="this.onload=null;this.rel='stylesheet'">
</head>
<body <?php body_class(); ?>> <?php wp_body_open(); ?>
<header>
        <div class="cp-header-info-bar">
        <?php
            if($header_info_box_countrycode != ''){
                echo'
        <a href="tel:'.$header_info_box_countrycode.$header_info_box.'">'.$header_info_box.'</a>';
            }
            else{
                 echo '<p>'.$header_info_box.'</p>'; 
                 }
        ?>
        </div>
        <div id="cp-header-container">
            <div id="cp-branding">
                <div id="cp-header-logo">
                  <!--  <a href="<?php //echo esc_url( esc_url(home_url( '/' ) )); ?>"><img src="<?php //echo $header_logo_url;//echo get_theme_mod('_cp-logo');?>" height="70" width="" alt="<?php //echo esc_html( get_bloginfo( 'title' ) ); ?>"></a> -->
                  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="cp-header-logo-img-link" aria-label="Header Logo as Link"></a>
                </div>
                <div id="cp-header-title">
                    <a class="header-site-title" style="display: block;" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                       <?php echo  bloginfo( 'title' ); 
                       ?>
                    </a>
                </div>
                <div id="cp-header-subtitle">
                <?php if ( get_bloginfo( 'description' ) != '' ) { ?>
                    <p class="blog-description">
                    <?php bloginfo( 'description' ); ?>
                </p>
                    <?php } ?>
                </div>
            </div> <!-- cp-branding -->
            <div id="cp-header-menu-container">
                <div id="cp-hamburger-icon" tabindex="0">
                    <div class="cp-hamburger"></div>
                    <div class="cp-hamburger"></div>
                    <div class="cp-hamburger"></div>
                </div> <!-- cp-hamburger-icon -->
                <div id="cp-header-menu" class="">
                    <nav role="navigation" class="" aria-label="<?php esc_attr_e( 'Primary Menu', 'seodrive' ); ?>">
                        <?php
                          wp_nav_menu( array(
                              'theme_location' => 'primary',
                              'menu_class'     => 'primary-menu'
                          ) );
                        ?> 
                    </nav>
                </div> <!-- cp-header-menu -->  
            </div> <!-- cp-header-menu-container -->
        </div> <!-- cp-header-container -->
    </header>


