"use strict";

const HEADER = $('header');
const PAGEWRAPPER = $('.cp-pagewrapper');
const HAMBURGER_ICON = $('#cp-hamburger-icon');
const HAMBURGER_PARTS =  $$('.cp-hamburger');
const MOBILE_MENU = $('#cp-mobile-menu');
const SCROLLTOTOP_BTN = $('#cp-scroll');
const PARALLAX_PICS = $$('.cp-parallax-effect');
const CONTENT_IMG_PARALLAX = $$('.cp-parallax-single-content img:first-child'); /*betrifft nur index.html*/
//const WP_STYLES = Array($('#global-styles-inline-css'), $('#classic-theme-styles-inline-css'), $('#wp-block-library-css'));
//WP_STYLES.forEach(el => el.remove()); /* entfernt unnütze Standard Wordpress-CSS Verlinkung im Head */
const SUBMENU_DISPLAY_CONTAINER = $('.cp-display-single-submenu');
MOBILE_MENU.classList.add('hide');

HEADER.classList.remove('headerFixd');
 PAGEWRAPPER.classList.remove('pagewrapperWhenHeaderFixed');

const fixHeaderOnScroll = () => {
    HEADER.classList.add('headerFixed');
    PAGEWRAPPER.classList.add('pagewrapperWhenHeaderFixed');
    SUBMENU_DISPLAY_CONTAINER.classList.add('submenuDisplayContainerWhenHeaderFixed');
}
const releaseHeaderAfterScroll = () => {
    HEADER.classList.remove('headerFixed');
    PAGEWRAPPER.classList.remove('pagewrapperWhenHeaderFixed');
    SUBMENU_DISPLAY_CONTAINER.classList.remove('submenuDisplayContainerWhenHeaderFixed');
}
const toggleHeader = () => {
    if(window.scrollY > 1) { 
        fixHeaderOnScroll();
    }
    else {
        releaseHeaderAfterScroll();
    }
}


const closeMenu = () => {
    MOBILE_MENU.classList.add('hide');
    MOBILE_MENU.classList.remove('show');
    HAMBURGER_PARTS.forEach(el => el.classList.remove('cp-icon-open'));
    HAMBURGER_PARTS.forEach(el => el.classList.add('cp-hamburger'));
} 
const toggleMenu = (e) => {
    
    const UPPER_LEVEL_LINK_PLACEHOLDER = document.createElement('p');
    display(e, FIRST_LEVEL_UL.cloneNode(true), UPPER_LEVEL_LINK_PLACEHOLDER,true);


    /* // Alte CSS-Lösung für MobileMenu
    console.log(MOBILE_MENU);
    if (MOBILE_MENU.classList.contains('hide')){
        MOBILE_MENU.classList.add('show');
        MOBILE_MENU.classList.remove('hide');
        HAMBURGER_PARTS.forEach(el => el.classList.add('cp-icon-open'));
        HAMBURGER_PARTS.forEach(el => el.classList.remove('cp-hamburger'));
    }
    else {
        MOBILE_MENU.classList.add('hide');
        MOBILE_MENU.classList.remove('show');
        HAMBURGER_PARTS.forEach(el => el.classList.remove('cp-icon-open'));
        HAMBURGER_PARTS.forEach(el => el.classList.add('cp-hamburger'));
    }
*/

}

const scrollToTop = e => {
    window.scroll({
        top: 0,
        behavior: "smooth"
    });
}


const toggleScrollToTopBtnOnScroll = () => {
    if(window.pageYOffset > 50)
        showScrollToTopButton();
    else hideScrollToTopButton(); 
}
const showScrollToTopButton = () => {
    SCROLLTOTOP_BTN.classList.remove('hide');
    SCROLLTOTOP_BTN.classList.add('show');
}
const hideScrollToTopButton = () => {
    SCROLLTOTOP_BTN.classList.remove('show');
    SCROLLTOTOP_BTN.classList.add('hide');
}

HAMBURGER_ICON.addEventListener("click", (e) => toggleMenu(e));
SCROLLTOTOP_BTN.addEventListener("click", (e) => scrollToTop(e));



document.addEventListener('scroll', toggleScrollToTopBtnOnScroll);
//document.addEventListener('scroll', toggleHeader);
window.addEventListener('resize', closeMenu);
hideScrollToTopButton();

/*######################################################################################*/
/* Test auf WEBP-Tauglichkeit des Browsers, bei TRUE Vergabe von CSS-Klassen an Bilder */

const manipulateSourceForJpg = (el) => {
    const IMAGE_SOURCE = el.src.substr(0, (el.src.length)-3);
    el.src=(IMAGE_SOURCE+'jpg'); /* bei webp-fähigen Browsern werden src-Attribute der Contentbilder nicht umgeschrieben */
}

function testWebPSupport() {
    return new Promise( (resolve) => {
      const webp = "data:image/webp;base64,UklGRkAAAABXRUJQVlA4WAoAAAAQAAAAAAAAAAAAQUxQSAIAAAAAAFZQOCAYAAAAMAEAnQEqAQABAAFAJiWkAANwAP79NmgA";
      const test_img = new Image();
      test_img.src = webp;
      test_img.onerror = e => resolve( false );
      test_img.onload = e => resolve( true );
    } );
  }
  
  (async ()=> {
  
    const supports_webp = await testWebPSupport();
    // for stylesheets
    if( !supports_webp ) {
        PARALLAX_PICS.forEach(el=>el.classList.remove('webp'));
        CONTENT_IMG_PARALLAX.forEach(el=>manipulateSourceForJpg(el));
    }
    // for inline ones, just check the value of supports_webp
    //const extension = supports_webp ? 'webp' : 'jpg';
  //  elem.style.backgroundImage = `url(file_url.${ extension })`;
  
  })();



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Multilevel Menu
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
const SUBMENU_WRAPPER = $('.cp-display-submenus');
const FIRST_LEVEL_UL = $('ul.primary-menu')
const FIRST_LEVEL_LI = $$('ul.primary-menu > li');
//const SUBMENU_DISPLAY_CONTAINER = $('.cp-display-single-submenu');
const SUBMENU_BUTTON_CONTAINER = $('.cp-submenu-levelup-button-div');
const SUBMENU_CLOSE_BUTTON = $('p.cp-submenu-close-button');
const PLACE_FOR_LEVELUP_BUTTON = $('p.cp-submenu-levelup');
const BREADCRUMB_CONTAINER = $$('.cp-breadcrumbs');

////////////////////////get current URL for breadcrumbs
const CURRENT_URL = window.location.href;
//console.log(window.location.href);

const getCurrentSubmenuUl = url => {
    const CURRENT_UL = $(`[src="${url}"]`);
   // console.log(CURRENT_UL);

}
getCurrentSubmenuUl(window.location.href);
/*
const extractMenuPath = url => {
    console.log(url.indexOf('//'));
    if (url.startsWith('http')){
        let urlInfo = [];
        urlInfo[0] = 'http://';
        urlInfo[1] = url.substr(7, url.length);
        return urlInfo;  //7stellen für http://
    }
    if(url.startsWith('https')) {
        let urlInfo = [];
        urlInfo[0] = 'https://';
        urlInfo[1] = url.substr(8, url.length);
        return urlInfo;
    }
    if(url.startsWith('file')) {
        let urlInfo = [];
        urlInfo[0] = 'file:///'; //Praefix
        urlInfo[1] = url.substr(8, url.length); //URL without Praefix
        urlInfo[2] = urlInfo[1].substr(urlInfo[1].indexOf("/"), urlInfo[1].length); //current URL without preafix and home-URL
        return urlInfo;
    } 
}

console.log(getCurrentMenuPathFromRoot(window.location.href));
*/

/////////////////////////////////
//add breadcrumbs
const addBreadcrumbsUnderHeader = breadcrumbs => {
    let breadcrumbString = breadcrumbs[2];
    let breadcrumbElement = document.createElement('p');
    breadcrumbElement.innerText = breadcrumbString;

    BREADCRUMB_CONTAINER.forEach(el => el.appendChild(breadcrumbElement.cloneNode(true)));
}
//addBreadcrumbsUnderHeader(getCurrentMenuPathFromRoot(window.location.href));




///////////////////////////////////////////////////////////////
//Labeling the Submenu-Levels
const labelListElement = ul => {
    for (let item of Array.from(ul.children)){
        let label = Array.from(item.parentNode.children).indexOf(item);
        if (label.toString().length == 1) {label = '0'+ Array.from(item.parentNode.children).indexOf(item).toString();}
        item.setAttribute('data-item-number', label);
    }
}

const labelSubmenuLevel = (ul, level) => {

    labelListElement(ul);
    let subMenuLevel = Number(level);
    if(level > 0) {
        const labelParentUl = ul.parentNode.parentNode.dataset.submenuLevel.toString();
        const newLabelPart = subMenuLevel.toString() + '-' + ul.parentNode.getAttribute('data-item-number');
        const label = labelParentUl + "X" + newLabelPart;
        ul.setAttribute('data-submenu-level', label);
    }
    else{

        ul.setAttribute('data-submenu-level', subMenuLevel.toString());
    }
    subMenuLevel += 1;
    Array.from(ul.children).forEach((el) => {
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            labelSubmenuLevel(el.firstChild.nextElementSibling, subMenuLevel);
        }
    })
}
const closeSubMenu = () => {
    SUBMENU_WRAPPER.classList.add('hide');
    eraseSubmenuContainerContent();
}
SUBMENU_CLOSE_BUTTON.addEventListener('click', () => closeSubMenu());

const setDesktopMenu = () => {
    console.log(FIRST_LEVEL_LI);
    FIRST_LEVEL_LI.forEach(el => {
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            console.log(el.firstChild.nextElementSibling);
            const MENU_ITEM_UL_FOR_DISPLAY = el.firstChild.nextElementSibling.cloneNode(true);
            const UPPER_LEVEL_MENU_LINK = el.firstElementChild.cloneNode(true);
            el.classList.add('cp-menu-li-with-dropdown'); 
            el.firstChild.nextElementSibling.classList.add('hide');
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, MENU_ITEM_UL_FOR_DISPLAY, UPPER_LEVEL_MENU_LINK, true)
            });
            
            el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling);
        }
    })
}

const createDropdownIconElement = () => {
    let icon = document.createElement('i');
    icon.classList.add('arrow');
    return icon;
}

const getMenuPartPrevUl = ul => {
      return $(`[data-submenu-level="${ul.dataset.submenuLevel}"]`).parentNode.parentNode;
}

const getMenuPartPrevUpperLevelMenuLink = ul => {
    return $(`[data-submenu-level="${ul.dataset.submenuLevel}"]`).parentNode.parentNode.parentNode.firstChild;
}

const hideAllSubUl = ul => {
    ul.children.forEach(el => {
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
             (el.firstChild.nextElementSibling).classList.add('hide');
         }
    })
    
}
const display = (e, UlElement, upperLevelMenuLink, control) => {
    console.log(control);
    hideAllSubUl(UlElement);
    $('.cp-display-submenus').classList.remove('hide');
    eraseSubmenuContainerContent(e);
    const UL_FOR_DISPLAY = UlElement.cloneNode(true);
    const UPPER_LEVEL_MENU_LINK_FOR_DISPLAY = upperLevelMenuLink.cloneNode(true);
    const LEVELCHECK = UL_FOR_DISPLAY.dataset.submenuLevel.toString();
    const FIRST_CHILD_TOP_OFFSET_FOR_SCROLL = SUBMENU_DISPLAY_CONTAINER.offsetTop;
    
    console.log(LEVELCHECK);
    if (LEVELCHECK.length > 6 ) {
        console.log(LEVELCHECK);
        PLACE_FOR_LEVELUP_BUTTON.appendChild(generateLevelUPButtonDIV());
        $('.cp-submenu-levelup-button').addEventListener('click', (e) => display(e, getMenuPartPrevUl(UlElement), getMenuPartPrevUpperLevelMenuLink(UlElement), false));
        SUBMENU_DISPLAY_CONTAINER.appendChild(UPPER_LEVEL_MENU_LINK_FOR_DISPLAY);
        SUBMENU_DISPLAY_CONTAINER.appendChild(UL_FOR_DISPLAY);
        UL_FOR_DISPLAY.classList.remove('hide');
        if(control !== false){
            Array.from(UL_FOR_DISPLAY.children).forEach(el => {
            testNextSublevel(el);      
            }
    
            ); 
        }
        else {
            Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                testNextSublevel(el, control);      
                }
            );
        }
    }
    else
    { 
        console.log('MMMMMMMMMMMMMMMMMMM');
        
        SUBMENU_DISPLAY_CONTAINER.appendChild(UPPER_LEVEL_MENU_LINK_FOR_DISPLAY);
        SUBMENU_DISPLAY_CONTAINER.appendChild(UL_FOR_DISPLAY);
        UL_FOR_DISPLAY.classList.remove('hide');
        if(control !== false){
            console.log('sssssssssss');
        Array.from(UL_FOR_DISPLAY.children).forEach(el => {
            testNextSublevel(el);      
            }
        );
        }
        else {
            Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                testNextSublevel(el, control);      
                }
            );
        }
    }
    SUBMENU_DISPLAY_CONTAINER.scrollTop(FIRST_CHILD_TOP_OFFSET_FOR_SCROLL); 


    
}
const testNextSublevel = (el, control) => { //bekommt li

    console.log('---------------------------' + control);
    if(control != false){
        console.log('############');
        console.log(el);
        console.log(el.firstChild);
        console.log(el.firstChild.nextElementSibling);

        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            console.log('!=false 1stcase');
            (el.firstChild.nextElementSibling).classList.add('hide');
            const THIS_LEVEL_MENU_LINK = el.firstChild.cloneNode(true);
            const NEXT_SUBLEVEL_UL = el.firstChild.nextElementSibling.cloneNode(true);
            el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling );
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, NEXT_SUBLEVEL_UL, THIS_LEVEL_MENU_LINK);}
            );
        }

    }
    else {console.log(el);
        
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            console.log('2nd CASE UL');
            (el.firstChild.nextElementSibling).classList.add('hide');
            const THIS_LEVEL_MENU_LINK = el.firstChild.cloneNode(true);
            const NEXT_SUBLEVEL_UL = el.firstChild.nextElementSibling.cloneNode(true);
            el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling );
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, NEXT_SUBLEVEL_UL, THIS_LEVEL_MENU_LINK, false);}
            );
        }
    }
}

const eraseSubmenuContainerContent = (e) => {
    PLACE_FOR_LEVELUP_BUTTON.innerHTML = "";
    SUBMENU_DISPLAY_CONTAINER.innerHTML = "";
}

const generateLevelUPButtonDIV = () => {
    let buttonDiv = document.createElement('div');
    buttonDiv.classList.add('cp-submenu-levelup-button-div');
    let arrow = document.createElement('i');
    arrow.classList.add('cp-arrowSubmenuLevelupButton');
    arrow.innerHTML = '';
    let button = document.createElement('button');
    button.classList.add('cp-submenu-levelup-button');
    //button.innerHTML = arrow;
    button.appendChild(arrow);
    buttonDiv.appendChild(button);
    return buttonDiv;
}



/*const setEventListenerSubmenuDisplay = el => {
    el.addEventListener('click', (e) => display(e, el.firstChild.nextElementSibling));
}*/


const generateBreadcrumbs = (ul, crumbs) => {
    const UL_ID = ul.dataset.submenuLevel;
    //console.log($(`[data-submenu-level="${UL_ID}"]`).parentNode.parentNode);
    let breadcrumbs = crumbs;
  //  console.log(breadcrumbs);
    const breadcrumbTextThisUl = $(`[data-submenu-level="${UL_ID}"]`).parentNode.firstChild.innerText;
    //console.log(breadcrumbTextThisUl);
    breadcrumbs = breadcrumbTextThisUl;
    if (UL_ID.length > 6) {
      //  console.log('KKKKKKKKKK' + ul.parentNode);
        breadcrumbs = breadcrumbs + ' / ' + breadcrumbTextThisUl;
        const upperLevelUlId = 
        generateBreadcrumbs($(`[data-submenu-level="${UL_ID}"]`).parentNode.parentNode, breadcrumbs);
        //console.log(UL_ID + "next: " + $(`[data-submenu-level="${UL_ID}"]`).parentNode.parentNode.dataset.submenuLevel)
    }
    else{
        //console.log(breadcrumbs);
        return breadcrumbs;
    }
    
}





//console.log(FIRST_LEVEL_UL);
labelSubmenuLevel(FIRST_LEVEL_UL, 0);
setDesktopMenu();
