"use strict";
const HEADER = $('header');
const PAGEWRAPPER = $('.cp-pagewrapper');
const HAMBURGER_ICON = $('#cp-hamburger-icon');
const HAMBURGER_PARTS =  $$('.cp-hamburger');
const SCROLLTOTOP_BTN = $('#cp-scroll');
const PARALLAX_PICS = $$('.cp-parallax-effect');
const CONTENT_IMG_PARALLAX = $$('.cp-parallax-single-content img:first-child'); /*betrifft nur index.html*/
const SUBMENU_DISPLAY_CONTAINER = $('.cp-display-single-submenu');
HEADER.classList.remove('headerFixd');
PAGEWRAPPER.classList.remove('pagewrapperWhenHeaderFixed');
const fixHeaderOnScroll = () => {
    HEADER.classList.add('headerFixed');
    PAGEWRAPPER.classList.add('pagewrapperWhenHeaderFixed');
    SUBMENU_DISPLAY_CONTAINER.classList.add('submenuDisplayContainerWhenHeaderFixed');
}
const releaseHeaderAfterScroll = () => {
    HEADER.classList.remove('headerFixed');
    PAGEWRAPPER.classList.remove('pagewrapperWhenHeaderFixed');
    SUBMENU_DISPLAY_CONTAINER.classList.remove('submenuDisplayContainerWhenHeaderFixed');
}
const toggleHeader = () => {
    if(window.scrollY > 1) { 
        fixHeaderOnScroll();
    }
    else {
        releaseHeaderAfterScroll();
    }
}
const closeMenu = () => {
    HAMBURGER_PARTS.forEach(el => el.classList.remove('cp-icon-open'));
    HAMBURGER_PARTS.forEach(el => el.classList.add('cp-hamburger'));
} 
const toggleMenu = (e) => {
    let arr = getCurrentUl();
    
    const UL_FOR_DISPLAY = arr[0];
    if(arr[1]) {const UPPER_LEVEL_LINK = arr[1];
    }
    else{
        const UPPER_LEVEL_LINK = document.createElement('p');
    }
    const UPPER_LEVEL_LINK = arr[1];
    
   display(e, arr[0], UPPER_LEVEL_LINK,true);
   
}
const scrollToTop = e => {
    window.scroll({
        top: 0,
        behavior: "smooth"
    });
}
const toggleScrollToTopBtnOnScroll = () => {
    if(window.pageYOffset > 50)
        showScrollToTopButton();
    else hideScrollToTopButton(); 
}
const showScrollToTopButton = () => {
    SCROLLTOTOP_BTN.classList.remove('hide');
    SCROLLTOTOP_BTN.classList.add('show');
}
const hideScrollToTopButton = () => {
    SCROLLTOTOP_BTN.classList.remove('show');
    SCROLLTOTOP_BTN.classList.add('hide');
}
HAMBURGER_ICON.addEventListener("click", (e) => toggleMenu(e));
HAMBURGER_ICON.addEventListener("keypress", (e) => hamburgerIconTabNav(e));
const hamburgerIconTabNav = e => {
    if(e.key === "Enter"){
        toggleMenu(e);
    }
}
SCROLLTOTOP_BTN.addEventListener("click", (e) => scrollToTop(e));
SCROLLTOTOP_BTN.addEventListener("keypress", (e) => scrollTopTabNav(e) );
SCROLLTOTOP_BTN.setAttribute("tabindex", "0");
const scrollTopTabNav = e => {
    if(e.key === "Enter"){
        scrollToTop(e);
    }
}
document.addEventListener('scroll', toggleScrollToTopBtnOnScroll);
window.addEventListener('resize', closeMenu);
hideScrollToTopButton();


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Multilevel Menu
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
const SUBMENU_WRAPPER = $('.cp-display-submenus');
const FIRST_LEVEL_UL = $('ul.primary-menu')
const FIRST_LEVEL_LI = $$('ul.primary-menu > li');
const SUBMENU_BUTTON_CONTAINER = $('.cp-submenu-levelup-button-div');
const SUBMENU_CLOSE_BUTTON = $('p.cp-submenu-close-button');
SUBMENU_CLOSE_BUTTON.setAttribute("tabindex", "0");
const PLACE_FOR_LEVELUP_BUTTON = $('p.cp-submenu-levelup');
const BREADCRUMB_CONTAINER = $('.cp-breadcrumbs');
const CURRENT_URL = window.location.href;

//add breadcrumbs
const getHomeURL = () => {
    
    return window.location.origin;
}

const setEventlistenerSubmenuLinkPart = (ul) => {
    const PARENT_UL = ul.parentNode.parentNode;
    
}

const checkTrailingSlash = () => {
    if(CURRENT_URL.endsWith('/')) return true;
}

const getCurrentLi = () => {
    let arr = [];
    const CURRENT_URL = window.location.href;
    const DEFAULT_LI = $('.primary-menu > li');
    if($('.primary-menu').contains($(`li > a[href="${CURRENT_URL}"]`))){        
        return ($(`li > a[href="${CURRENT_URL}"]`).parentNode)
    };
    return DEFAULT_LI; 
} 

const getBreadcrumbs = (li, breadcrumbs) => {
    let path = [];
    const currentLi = li;
    if (!breadcrumbs && currentLi.parentNode.localName == 'ul'){
        let breadcrumbs = '';
       
        breadcrumbs = '/';
        path[0] = breadcrumbs;
        path.push(currentLi.firstChild.cloneNode(true));
        path.push('/');
        getBreadcrumbs(currentLi.parentNode.parentNode, path);
    } 
    if(breadcrumbs && currentLi.parentNode.localName == 'ul' && currentLi.parentNode.dataset.submenuLevel !== '0'){
        path = breadcrumbs;
        path.push(currentLi.firstChild.cloneNode(true));
        path.push('/');
        getBreadcrumbs(currentLi.parentNode.parentNode, path);
    }
    if(breadcrumbs && currentLi.parentNode.localName == 'ul' && currentLi.parentNode.dataset.submenuLevel == '0') {
        path = breadcrumbs;
        path.push(currentLi.firstChild.cloneNode(true));
        path.push('/');   
    }
    
    path;
    return path;
} 

const createHomeElement = () => {
    let element = document.createElement('a');
    element.innerText = 'HOME';
    element.href = window.location.origin;
    element.classList.add('breadcrumbHomeElement');
    return element;
    }
const createMenuSeperatorElement = () => {
        let element = document.createElement('i');
        element.classList.add('breadcrumbSeparator');
        element.innerText = ' / ';
        return element;
}
   
const createBreadcrumbs = (path) => {
    let orderedPath = path.reverse(); 
    let breadcrumbs = [];
    breadcrumbs.push(createHomeElement());   
    orderedPath.map(el => {
        if(el == '/')breadcrumbs.push(createMenuSeperatorElement());
        if(el != '/')breadcrumbs.push(el); 
    })
    breadcrumbs[breadcrumbs.length - 2].classList.add('current-page-item');
    return breadcrumbs;
}

const displayBreadcrumbs = (breadcrumbs) => {
   
    let paragraph = document.createElement('p');
   breadcrumbs.forEach(el => {
        
        paragraph.appendChild(el);
   })
   
   SUBMENU_DISPLAY_CONTAINER.appendChild(paragraph);
   
}

//Labeling the Submenu-Levels
const labelListElement = ul => {
    for (let item of Array.from(ul.children)){
        let label = Array.from(item.parentNode.children).indexOf(item);
        if (label.toString().length == 1) {label = '0'+ Array.from(item.parentNode.children).indexOf(item).toString();}
        item.setAttribute('data-item-number', label);
    }
}

const labelSubmenuLevel = (ul, level) => {

    labelListElement(ul);
    let subMenuLevel = Number(level);
    if(level > 0) {
        const labelParentUl = ul.parentNode.parentNode.dataset.submenuLevel.toString();
        const newLabelPart = subMenuLevel.toString() + '-' + ul.parentNode.getAttribute('data-item-number');
        const label = labelParentUl + "X" + newLabelPart;
        ul.setAttribute('data-submenu-level', label);
    }
    else{
        ul.setAttribute('data-submenu-level', subMenuLevel.toString());
    }
    subMenuLevel += 1;
    Array.from(ul.children).forEach((el) => {
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            labelSubmenuLevel(el.firstChild.nextElementSibling, subMenuLevel);
        }
    })
}
const closeSubMenu = () => {
    SUBMENU_WRAPPER.classList.add('hide'); //hide
    eraseSubmenuContainerContent();
}
SUBMENU_CLOSE_BUTTON.addEventListener('click', () => closeSubMenu());
SUBMENU_CLOSE_BUTTON.addEventListener('keypress', (e) => closeButtonTabNav(e));
const closeButtonTabNav = e => {
    if(e.key === "Enter"){
        closeSubMenu()
    }
}

const setDesktopMenu = () => {
    let arr = [];
    arr = getCurrentUl();
    FIRST_LEVEL_LI.forEach(el => {
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            const MENU_ITEM_UL_FOR_DISPLAY = el.firstChild.nextElementSibling; //.cloneNode(true);
            const UPPER_LEVEL_MENU_LINK = el.firstElementChild;//.cloneNode(true);
            el.classList.add('cp-menu-li-with-dropdown'); 
            el.firstChild.nextElementSibling.classList.add('hide');
       
            if(el.contains($('li.current-menu-item'))){ 
                el.addEventListener('click', (e) => {
                    e.preventDefault();
                  display(e, arr[0], arr[1], true)
                });
            }
            else{
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, MENU_ITEM_UL_FOR_DISPLAY, UPPER_LEVEL_MENU_LINK, true)
             
            });
            }
            el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling);
        }
    }) 
}

const createDropdownIconElement = () => {
    let icon = document.createElement('i');
    icon.classList.add('arrow');
    return icon;
}

const getMenuPartPrevUl = ul => {
      return $(`[data-submenu-level="${ul.dataset.submenuLevel}"]`).parentNode.parentNode;
}

const getMenuPartPrevUpperLevelMenuLink = ul => {
    return $(`[data-submenu-level="${ul.dataset.submenuLevel}"]`).parentNode.parentNode.parentNode.firstChild;
}

const hideAllSubUl = ul => {
    if(ul && ul.children){
        ul.children.forEach(el => {
            if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
                (el.firstChild.nextElementSibling).classList.add('hide');
            }
        })
    }
}

const getCurrentUl = () => {
    let arr = [];
    let CURRENT_URL = window.location.href;
    let CURRENT_UL = '';
   
   if($(`li > a[href="${CURRENT_URL}"]`) == null){
    arr[0] = $('ul.primary-menu');
    arr[1] = document.createElement('p');
   }
   else{
        if ($('ul.primary-menu') == ($(`li > a[href="${CURRENT_URL}"]`).parentNode.parentNode)){
            CURRENT_UL = ($('#menu-hauptmenu'));
            arr[0] = CURRENT_UL;
            arr[1] = document.createElement('p');
        }
        else {
            arr[0] = $(`li > a[href="${CURRENT_URL}"]`).parentNode.parentNode.cloneNode(true);
            arr[1] = $(`li > a[href="${CURRENT_URL}"]`).parentNode.parentNode.parentNode.firstChild.cloneNode(true);
        }
    }
    return arr;
}

const display = (e, UlElement, upperLevelMenuLink, control) => {
    eraseSubmenuContainerContent(e);
    displayBreadcrumbs(BREADCRUMBS);
    hideAllSubUl(UlElement);
    $('.cp-display-submenus').classList.remove('hide'); //hide
//folgendes zur Ermittlung der UL_FOR_DISPLAY, weil getCurrentUl() im Falle des Menüaufrufs über eine Seite, die nicht im Menür verlinkt ist, kein Ergebnis bringt.
    let UL_FOR_DISPLAY = '';
    if(!UlElement || UlElement.dataset.submenuLevel == null){
        UL_FOR_DISPLAY = $('ul.primary-menu').cloneNode(true);
    }
    else{
        UL_FOR_DISPLAY = UlElement.cloneNode(true);
    }
    const UPPER_LEVEL_MENU_LINK_FOR_DISPLAY = upperLevelMenuLink.cloneNode(true);
   // if (UlElement.dataset.submenuLevel == '0'){UPPER_LEVEL_MENU_LINK_FOR_DISPLAY = document.createElement('p')};
    const LEVELCHECK = UL_FOR_DISPLAY.dataset.submenuLevel.toString();
   // const FIRST_CHILD_TOP_OFFSET_FOR_SCROLL = SUBMENU_DISPLAY_CONTAINER.offsetTop;
   

   // display für mobiles menu:
    if(HAMBURGER_PARTS[0].offsetHeight > 0){  
     
        if (LEVELCHECK !=  '0') {
            PLACE_FOR_LEVELUP_BUTTON.appendChild(generateLevelUPButtonDIV());
            $('.cp-submenu-levelup-button').addEventListener('click', (e) => display(e, getMenuPartPrevUl(UlElement), getMenuPartPrevUpperLevelMenuLink(UlElement), false));
            $('.cp-submenu-levelup-button').setAttribute("tabindex", "0");
            SUBMENU_DISPLAY_CONTAINER.appendChild(UPPER_LEVEL_MENU_LINK_FOR_DISPLAY);
            SUBMENU_DISPLAY_CONTAINER.appendChild(UL_FOR_DISPLAY);
            UL_FOR_DISPLAY.classList.remove('hide');
            if(control !== false){
                Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                testNextSublevel(el);      
                }
        
                ); 
            }
            else {
                Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                    testNextSublevel(el, control);      
                    }
                );
            }
        }
        else
            { 
            UPPER_LEVEL_MENU_LINK_FOR_DISPLAY.innerText='';
            SUBMENU_DISPLAY_CONTAINER.appendChild(UPPER_LEVEL_MENU_LINK_FOR_DISPLAY);
            SUBMENU_DISPLAY_CONTAINER.appendChild(UL_FOR_DISPLAY);
            UL_FOR_DISPLAY.classList.remove('hide');
            if(control !== false){
               
                Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                testNextSublevel(el);      
                }
            );
            }
            else {
               
              
                Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                    testNextSublevel(el, control);      
                    }
                );
            }
        }

    }

    //display für desktop:
   
    if(HAMBURGER_PARTS[0].offsetHeight == '0'){ 
            if (LEVELCHECK.length > 6 ) {
            
                PLACE_FOR_LEVELUP_BUTTON.appendChild(generateLevelUPButtonDIV());
                $('.cp-submenu-levelup-button').addEventListener('click', (e) => display(e, getMenuPartPrevUl(UlElement), getMenuPartPrevUpperLevelMenuLink(UlElement), false));
                SUBMENU_DISPLAY_CONTAINER.appendChild(UPPER_LEVEL_MENU_LINK_FOR_DISPLAY);
                SUBMENU_DISPLAY_CONTAINER.appendChild(UL_FOR_DISPLAY);
                UL_FOR_DISPLAY.classList.remove('hide');
                if(control !== false){
                    Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                    testNextSublevel(el);      
                    }
            
                    ); 
                }
                else {
                    Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                        testNextSublevel(el, control);      
                        }
                    );
                }
            }
            else
            { 
                
                
                SUBMENU_DISPLAY_CONTAINER.appendChild(UPPER_LEVEL_MENU_LINK_FOR_DISPLAY);
                SUBMENU_DISPLAY_CONTAINER.appendChild(UL_FOR_DISPLAY);
                UL_FOR_DISPLAY.classList.remove('hide');
                if(control !== false){
                
                    Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                    testNextSublevel(el);      
                    }
                );
                }
                else {
                    Array.from(UL_FOR_DISPLAY.children).forEach(el => {
                        testNextSublevel(el, control);      
                        }
                    );
                }
            }
    }
    //SUBMENU_DISPLAY_CONTAINER.scrollTop(FIRST_CHILD_TOP_OFFSET_FOR_SCROLL); 


    
}
const testNextSublevel = (el, control) => { //bekommt li
    if(control != false){
     
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
            
            (el.firstChild.nextElementSibling).classList.add('hide');
            console.log(el.firstChild.nextElementSibling);
            
            const THIS_LEVEL_MENU_LINK = el.firstChild.cloneNode(true);
            const NEXT_SUBLEVEL_UL = el.firstChild.nextElementSibling.cloneNode(true);
            el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling );
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, NEXT_SUBLEVEL_UL, THIS_LEVEL_MENU_LINK);}
            );
        }
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.nextElementSibling && el.firstChild.nextElementSibling.nextElementSibling.localName == 'ul') {
            console.log(el.firstChild.nextElementSibling);
  
           
            const THIS_LEVEL_MENU_LINK = el.firstChild.cloneNode(true);
            const NEXT_SUBLEVEL_UL = el.firstChild.nextElementSibling.nextElementSibling.cloneNode(true);
           // el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling );
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, NEXT_SUBLEVEL_UL, THIS_LEVEL_MENU_LINK);}
            );
        }

    }
    else {
        
        if(el.firstChild && el.firstChild.nextElementSibling && el.firstChild.nextElementSibling.localName == 'ul') {
         
            (el.firstChild.nextElementSibling).classList.add('hide');
            console.log(el.firstChild.nextElementSibling);
            const THIS_LEVEL_MENU_LINK = el.firstChild.cloneNode(true);
            const NEXT_SUBLEVEL_UL = el.firstChild.nextElementSibling.cloneNode(true);
            el.insertBefore(createDropdownIconElement(), el.firstChild.nextElementSibling );
            el.addEventListener('click', (e) => {
                e.preventDefault();
                display(e, NEXT_SUBLEVEL_UL, THIS_LEVEL_MENU_LINK, false);}
            );
        }
    }
}

const eraseSubmenuContainerContent = (e) => {
    PLACE_FOR_LEVELUP_BUTTON.innerHTML = "";
    SUBMENU_DISPLAY_CONTAINER.innerText = "";
    BREADCRUMB_CONTAINER.innerText = '';

    SUBMENU_DISPLAY_CONTAINER.children.forEach(el => SUBMENU_DISPLAY_CONTAINER.removeElement(el));

    
}

const generateLevelUPButtonDIV = () => {
    let buttonDiv = document.createElement('div');
    buttonDiv.classList.add('cp-submenu-levelup-button-div');
    let arrow = document.createElement('i');
    arrow.classList.add('cp-arrowSubmenuLevelupButton');
    arrow.innerHTML = '';
    let button = document.createElement('button');
    button.classList.add('cp-submenu-levelup-button');
    //button.innerHTML = arrow;
    button.appendChild(arrow);
    buttonDiv.appendChild(button);
    return buttonDiv;
}



/*const setEventListenerSubmenuDisplay = el => {
    el.addEventListener('click', (e) => display(e, el.firstChild.nextElementSibling));
}*/


const generateBreadcrumbs = (ul, crumbs) => {
    const UL_ID = ul.dataset.submenuLevel;
    //console.log($(`[data-submenu-level="${UL_ID}"]`).parentNode.parentNode);
    let breadcrumbs = crumbs;
  //  console.log(breadcrumbs);
    const breadcrumbTextThisUl = $(`[data-submenu-level="${UL_ID}"]`).parentNode.firstChild.innerText;
    //console.log(breadcrumbTextThisUl);
    breadcrumbs = breadcrumbTextThisUl;
    if (UL_ID.length > 6) {
      //  console.log('KKKKKKKKKK' + ul.parentNode);
        breadcrumbs = breadcrumbs + ' / ' + breadcrumbTextThisUl;
        const upperLevelUlId = 
        generateBreadcrumbs($(`[data-submenu-level="${UL_ID}"]`).parentNode.parentNode, breadcrumbs);
        //console.log(UL_ID + "next: " + $(`[data-submenu-level="${UL_ID}"]`).parentNode.parentNode.dataset.submenuLevel)
    }
    else{
        //console.log(breadcrumbs);
        return breadcrumbs;
    }
    
}

const BREADCRUMBS = createBreadcrumbs(getBreadcrumbs(getCurrentLi()));
labelSubmenuLevel(FIRST_LEVEL_UL, 0);
setDesktopMenu();

const WINDOW_HEIGHT = window.innerHeight;
const ALL_IMAGES = $$('img');
ALL_IMAGES.forEach(el=> {
    if(el.getBoundingClientRect().top > WINDOW_HEIGHT)
        el.setAttribute('loading','lazy');
});
